/* PiNumbersColumn.cmd  20020326.2

   This program creates a table that gives the product of a numerator (a) and Pi (3.14159265359)
   divided by a denominator (b).  When the zeros of a function are determined on a graphing
   calculator, the x-value determined by the calculator can be sought in the body of the table
   and then the numerator (a) and denominator (b) can be determined from the borders of the
   table allowing the answer to be written as: A times Pi over B (a x Pi/b).

*/

/* initialize Pi */
Pi = 3.14159265359

/* initialize loop parameters */
NumeratorLimit = 20
DenominatorLimit = 20

/* setup temp output file */
OutFile = "R:\TriFile.csv"
rc = lineout(OutFile,"0",1)  /* stores a zero in the first line of OutFile */
rc = lineout(OutFile,"0")    /* stores a zero in the second line of OutFile */

/* generate the quotients of the numerators and denominators */
SingleArray. = "Free"
Count = 0
do n = 1 to NumeratorLimit
  do d = 1 to DenominatorLimit
    q = n * Pi / d
    q = left(q, pos('.', q) + 5)
    if SingleArray.q = "Free" then
      do
         Index = n || d
         SingleArray.q = q
         OutText = n ',' d ',' q  /* format the numerator, denominator, and quotient */
         rc = lineout(Outfile, OutText) /* store the data in the temp file */
         Count = Count + 1
      end /* if ... do */
  end /* do d ... */
end /* do n ... */

rc = lineout(OutFile,Count,1)  /* stores the number of list items in the first line of OutFile */

